import 'package:json_annotation/json_annotation.dart';
import 'package:making_school_asignment_app/common/job/common/base_page.dart';

part 'base_app_version.g.dart';

@JsonSerializable()
class BaseAppVersion extends BasePage {
  @JsonKey(name: 'AppName')
  String appName;

  // 1 安卓 2 IOS
  @JsonKey(name: 'FtuType')
  int ftuType;

  BaseAppVersion(this.appName, this.ftuType, super.page, super.limit);

  factory BaseAppVersion.fromJson(Map<String, dynamic> srcJson) => _$BaseAppVersionFromJson(srcJson);

  Map<String, dynamic> toJson() => _$BaseAppVersionToJson(this);
}
